Skip to main content

Serviceability Check API:

Description: Checks courier availability for pickup and delivery pincodes.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_serviceabilty_check
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_serviceabilty_check' 
--header 'rapidshyp-token: <API_KEY>'
--header 'Content-Type: application/json'
--data '{
"pickup_pincode": "110001",
"delivery_pincode": "122009",
"cod": true,
"total_order_value": 10000
}'

Request Parameters:


ParameterRequiredRemarkValidation
pickup_pincodeYesPickup pincode6 digits
delivery_pincodeYesDelivery pincode6 digits
codYesCOD flagtrue/false
total_order_valueYesOrder valueNumeric

Response:

JSON

{
"status": true,
"remark": "Success"
}